variables:
  REGISTRY_REPO: libresh/encode-stream

package:
  script:
    - cp $DOCKER_SECRET_CONFIG /kaniko/.docker/config.json
    - /kaniko/executor --context $CI_PROJECT_DIR --dockerfile $CI_PROJECT_DIR/Containerfile --destination $REGISTRY_REPO
  only:
    - main
